<template>
  <v-container>
    <v-row>
      <v-col cols="4" v-for="post in posts" :key="post.id">
      <v-card>
        <v-card-title>{{ post.title }}</v-card-title>
        <v-card-text>{{ post.body }}</v-card-text>
      </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script setup>
import Swal from "sweetalert2"
import axios from "axios"
import { onUnmounted } from "vue";
import { ref } from "vue";

const posts = ref([])

const getPosts = () => axios.get('http://localhost:8000/api/posts')
.then(response=>posts.value = response.data)

getPosts();
const client_id = Date.now()
const ws = new WebSocket("ws://localhost:5000/ws/" + client_id)

ws.onmessage = (evt) => {
  console.log(evt)
  getPosts();
}

onUnmounted(() => ws.close())
</script>
